## paw 2.14.04.dfsg.2

=== debian/changelog ===
paw (1:2.14.04.dfsg.2-9.1build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:41 +0100

paw (1:2.14.04.dfsg.2-9.1build3) disco; urgency=medium

  * No-change rebuild against fixed cernlib, see #922453

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 11 Mar 2019 06:19:30 +0000

paw (1:2.14.04.dfsg.2-9.1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:44:17 +0000

paw (1:2.14.04.dfsg.2-9.1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 19:47:52 +0000

paw (1:2.14.04.dfsg.2-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/add-ons/Makefile: build pawX11 and paw++ with -no-pie
    (closes: #862222)

 -- Gilles Filippini <pini@debian.org>  Thu, 18 May 2017 20:53:13 +0200

paw (1:2.14.04.dfsg.2-9) unstable; urgency=low

  * debian/control:
    - remove obsolete dpatch from build-dep.
    - remove obsolete DM-Upload-Allowed field.
    - transition from lesstif2 to motif. (Closes: #717640)
    - canonical VCS-* fields.
    - bump Standards-Version to 3.9.4.
  * Remove unused lintian-overrides.
  * Support multiarch.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 23 Aug 2013 20:59:20 +0800

paw (1:2.14.04.dfsg.2-8) unstable; urgency=low

  * Team upload
  * debian/rules: set locale to C before including CERN makefile snippet
    (closes: #660246)
  * rename debian/debhelper to debian/dh, as indicated by maintainer.
    (closes: #640572)

 -- Ralf Treinen <treinen@debian.org>  Sat, 18 Feb 2012 20:13:38 +0100

paw (1:2.14.04.dfsg.2-7) unstable; urgency=low

  * New maintainer. Thanks Kevin B. McCarty for contributing to the HEP
    free software community over the years. (Closes: #619393)
  * Bump Standards-Version to 3.9.1
    - debian/copyright: specify current version of GPL.
    - Add ${misc:Depends} to debian/control Depends for all binary
      packages.
    - debian/control.d/libpawlib{2,-lesstif3}-dev.control: change
      "Conflicts" to "Breaks".
  * Fix FTBFS #552905, thanks Steve Langasek <vorlon@debian.org>.
  * Remove duplicated section field from control files:
    - debian/control.d/debian/control.d/paw++.control
    - debian/control.d/paw-common.control
    - debian/control.d/paw-demos.control
    - debian/control.d/paw.control
  * debian/source/format: set source format to 1.0.
  * Add typo fixing patches 131 and 132.
  * Update patch 119: include stdlib.h to declare 'free' function.
  * Update patch 211: eliminate warning on incompatible pointers.
  * debian/rules: remove obsolete dh_desktop.
  * debian/control.d/0base.control: add Vcs-{Git,Browser} fields.
  * debian/lintian/paw: remove override menu-command-not-in-package.
  * debian/lintian/{libpawlib-lesstif3,libpawlib2-gfortran}: override
    no-symbols-control-file.

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 28 Mar 2011 17:43:30 +0800

paw (1:2.14.04.dfsg.2-6) unstable; urgency=low

  * Patch 302: minor fixes to paw script to allow it to properly call binaries
    in $CERNLIB/$CERN_LEVEL/bin if those environment variables are set.
  * Patch 804: fix Debian-specific bug that caused PAW to abort if the
    difference between two pointers used by COMIS was in the range given by
    INT_MAX < diff <= UINT_MAX.  Thanks to Giuseppe Tagliente
    <Pino.Tagliente@ba.infn.it> for the bug report (by private email).

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 25 Jun 2008 20:47:41 -0700

paw (1:2.14.04.dfsg.2-5) unstable; urgency=low

  * Patch 804: omit "extern" from common block declaration since the "extern"
    is included in the cfortran.h COMMON_BLOCK_DEF macro as of cfortran.h
    version 4.4-12.
  * Build-Depend on cfortran (>= 4.4-12) for this change.
  * Patch 307: refresh internal copy of cfortran.h to 4.4-12 (although we do
    not use this internal copy in the build, it's best to be consistent).

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 09 May 2008 12:15:22 -0700

paw (1:2.14.04.dfsg.2-4) unstable; urgency=low

  * Create symlinks from /usr/share/icons/hicolor/{32x32,48x48}/apps/paw.xpm
    to /usr/share/pixmaps/paw{32x32,48x48}.xpm in paw-common package.
  * Apply patch to Paw++ desktop file from Patrice Dumas.
  * Run dh_icons in debian/rules binary-indep target.
  * Build-Depend on debhelper (>= 6.0.12) since we need fix for #448094.

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon, 21 Apr 2008 09:26:57 -0700

paw (1:2.14.04.dfsg.2-3) unstable; urgency=low

  * Fix unescaped hyphens in paw.1 man page.
  * Remove deprecated Encoding field from Paw++ desktop entry.
  * Upload to unstable.

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon, 25 Feb 2008 13:46:00 -0800

paw (1:2.14.04.dfsg.2-2) experimental; urgency=low

  * Transition to gfortran:
    - Re-do build dependencies (require minimum of 2006.dfsg.2-7 for CERNLIB
      dependencies and 4.4-10 for cfortran) and append "-gfortran" suffix to
      runtime library package names.  Explicitly Build-Depend on new
      libblas-dev and liblapack-dev packages and gfortran (>= 4:4.3).
    - Patch 320: Add -DgFortran to the build flags in a few additional places.
    - Depend on gfortran rather than g77 as FORTRAN compiler (closes: #440755).
    - Update README.64-bit and other files to mention gfortran in place of g77.

  * Bump Standards-Version to 3.7.3:
    - Menu policy update: Apps/Science -> Applications/Science/Data Analysis.

  * Miscellaneous small changes:
    - Remove mention of no-longer-used "keepbuild" $DEB_BUILD_OPTION in
      README.source.
    - Make sure all patches have a "## DP:" comment header.
    - Add Homepage field in control file.
    - Mention the (somewhat ambiguous) switch to GPL v3 in copyright file.
    - Uniformly capitalize CERNLIB, COMIS, PAW and Paw++ properly in Debian

