=== debian/rules ===
#!/usr/bin/make -f

# source package name and modules included in the source package
MY_NAME = paw
MY_MODULES = Imakefile car cfortran include pawlib scripts 

include /usr/share/cernlib/cernlib-debian.mk

LOCAL_DEFINES += -D_GNU_SOURCE

install-arch-local:
	# Is dynamically linked paw broken?
	@set -e ; \
	exitcode=0 ; \
	echo "***" ; echo "Testing whether dynamically linked PAW works" ; \
	echo "***" ; \
	rm -f debian/tmp/usr/bin/pawX11 debian/tmp/usr/bin/paw++ ; \
	if [ -z "$$LD_LIBRARY_PATH" ] ; then \
		LD_LIBRARY_PATH="$(CURDIR)/shlib" ; \
	else \
		LD_LIBRARY_PATH="$${LD_LIBRARY_PATH}:$(CURDIR)/shlib" ; \
	fi ; \
	export LD_LIBRARY_PATH ; \
	if debian/tmp/usr/bin/pawX11.dynamic -w 0 < /dev/null ; then \
		echo "Success!" ; \
		cp -pf bin/pawX11 debian/tmp/usr/bin/pawX11 ; \
		cp -pf bin/paw++  debian/tmp/usr/bin/paw++ ; \
	else \
		echo "Failed, exit code $$?.  Trying statically linked version..." ; \
		if ! debian/tmp/usr/bin/pawX11.static -w 0 < /dev/null ; then \
			exitcode="$$?" ; \
			echo "Failed, exit code $$? !" ; \
		else \
			echo "Success, will package statically linked PAW." ; \
		fi ; \
		cp -pf bin/pawX11.static debian/tmp/usr/bin/pawX11 ; \
		cp -pf bin/paw++.static  debian/tmp/usr/bin/paw++ ; \
	fi ; \
	echo ; echo "These results may be useful in diagnosis:" ; echo ; \
	gcc -Wall debian/addresstest.c -o debian/addresstest ; \
	debian/addresstest ; \
	rm -f debian/addresstest ; \
	rm -f paw.metafile ; \
	exit "$$exitcode"

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -s
	# move a couple files around
	rm -f debian/libpawlib2-dev/usr/include/paw/tree.h \
		debian/libpawlib2-dev/usr/include/paw/converter.h
	dh_installdocs -s
	dh_installexamples -s
	set -e ; \
	dh_installmenu -s
	dh_installman -s
	dh_installchangelogs -s
	dh_installdebconf -s
	dh_strip -s
	dh_link -s
	dh_compress -s -X.F
	dh_fixperms -s
	dh_makeshlibs -plibpawlib2-gfortran
	dh_makeshlibs -plibpawlib-lesstif3-gfortran
	dh_shlibdeps -s -lshlib
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installexamples -i
	# reference to kuesvr man page (cernlib source package) now moved
	# to section 7
	sed -i -e '/kuesvr/s/1/7/' debian/paw-common/usr/share/man/man1/paw.1
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_icons -i
	dh_compress -i -X.dat -X.kumac -X.F -X.sh
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch

.PHONY: install-arch-local binary binary-indep binary-arch
